﻿local addonName, addonTable = ...
local L = addonTable.L
local addon = PriorityList
local AceGUI = LibStub("AceGUI-3.0")

-- string colors
local LIGHT_BLUE  = "|cff00ccff"
local LIGHT_RED   = "|cffff6060"
local GREEN       = "|cff71C671"
local LIGHT_GREEN = "|cff71FF71"
local YELLOW      = "|cffffff00"
local GREY        = "|cff888888"
local GOLD        = "|cffffcc00"
local RED         = "|cffff0000"
local WHITE       = "|cffffffff"
local function AddColor(str,color)
 return color..str.."|r"
end

-- boss list tab creation
function addon:TabInit_BossList(container)
if container then
 addon.opt.frm_items = AceGUI:Create("ScrollFrame")
 addon.opt.frm_items:SetFullWidth(true)
 addon.opt.frm_items:SetFullHeight(true)
 addon.opt.frm_items:SetLayout("List")
 container:AddChild(addon.opt.frm_items)
 addon:PopulateItemsList_new()
end
end
-- boss list tab creation end

-- folding
local function generate_fold_array()
local result = {}
 table.foreach(addon.boss_drops_table, function(raid,v)
  if not result[raid] then result[raid] = {["flag"] = false} end
  for boss,i in pairs(v) do
   if not result[raid][boss] then
    result[raid][boss] = {["flag"] = false}
   end
   for diff,j in pairs(i) do
    if not result[raid][boss][diff] and diff ~= "icon" then
     result[raid][boss][diff] = {["flag"] = false}
    end
   end
  end
 end)
 return result
end

local boss_folding = generate_fold_array()
function addon:bl_bossopened(raid,boss,diff)
local result = false
 if diff then
  if boss_folding[raid][boss][diff]["flag"] then result = true end 
 elseif boss then
 if boss_folding[raid][boss]["flag"] then result = true end
 else
  if boss_folding[raid]["flag"] then result = true end
 end
 return result
end

function addon:bl_bossSet(raid,boss,diff)
 if diff then
  boss_folding[raid][boss][diff]["flag"] = not boss_folding[raid][boss][diff]["flag"]
 elseif boss then
  boss_folding[raid][boss]["flag"] = not boss_folding[raid][boss]["flag"]
 else
  boss_folding[raid]["flag"] = not boss_folding[raid]["flag"]
 end
end
--